%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% BIBLIOGRAFÍA                                                                 %
%                                                                              %
% Objetivo: Recopilar las referencias a información utilizadas y/o algunas     %
%           otras que puedan resultar interesantes                             %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@Misc{ForbesShortHistoryML,
  language = {english},
  author = {Bernard Marr},
  title = {A Short History of Machine Learning -- Every Manager Should Read},
  url = {www.forbes.com/sites/bernardmarr/2016/02/19/a-short-history-of-machine-learning-every-manager-should-read},
  year = 2016
}
@Book{TomMitchelMLBook,
  language = {english},
  title = {Machine learning},
  author = {Tom Mitchell},
  publisher = {McGraw Hill},
  year = {2017},
  ISBN = {0070428077}
}
@Book{BishopMLBook,
  language = {english},
  title = {Pattern recognition and machine learning},
  author = {Christopher Michael Bishop},
  publisher = {Springer},
  year = {2006},
  ISBN = {978-0-38731073-2}
}
@Book{RusselStuartAIBook,
  language = {english},
  title = {Artificial Intelligence: A Modern Approach},
  author = {Stuart Jonathan Russell and Peter Norvig},
  publisher = {Prentice Hall},
  edition = {3},
  year = {2009},
  ISBN = {9780136042594}
}
@Misc{GoogleMLCourse,
  language = {english},
  author = {Google},
  title = {Machine Learning Practicum: Image Classification},
  url = {https://developers.google.com/machine-learning/practica/image-classification/\#how_image_classification_works},
  year = {2020}
}
@Misc{JBrownleeMLA,
  language = {english},
  author = {Jason Brownlee},
  title = {Supervised and Unsupervised Machine Learning Algorithms},
  url = {https://machinelearningmastery.com/supervised-and-unsupervised-machine-learning-algorithms},
  year = {2016}
}
@Article{SurveyRL,
  language = {english},
  author = {Leslie Pack Kaelbling and Michael Lederman Littman and Andrew W Moore},
  title = {Reinforcement Learning: A Survey},
  journal = {Journal of Artificial Intelligence Research},
  volume = {4},
  pages = {237--285},
  year = {1996}
}
@Phdthesis{WatkinsPHD,
  language = {english},
  author = {Christopher John Cornish Hellaby Watkins},
  title = {Learning from Delayed Rewards},
  school = {King's College},
  year = {1989},
  month = {may},
  address = {Cambridge, UK},
  url = {http://www.cs.rhul.ac.uk/~chrisw/thesis.html}
}
@InProceedings{RCHelicopterPaper,
  language = {english},
  author = {Pieter Abbeel and Adam Coates and Morgan Quigley and Andrew Y. Ng},
  title = {An Application of Reinforcement Learning to Aerobatic Helicopter Flight},
  booktitle = {Advances in Neural Information Processing Systems 19 (NIPS 2006)},
  year = {2006},
  pages =     {1--8},
  publisher = {MIT Press},
  url = {http://heli.stanford.edu/papers/nips06-aerobatichelicopter.pdf}
}
@Article{RobotsLikeAnimalsPaper,
  language = {english},
  author = {Antoine Cully and Jeff Clune and Danesh Tarapore and Jean-Baptise Mouret},
  title = {Robots that can adapt like animals},
  journal = {ArXiv},
  year = {2015},
  doi = {10.1038/nature14422},
  url = {https://arxiv.org/abs/1407.3501}
}
@Article{OpenAIRobotHandPaper,
  language = {english},
  author = {Ilge Akkaya and Marcin Andrychowicz and Maciek Chociej and Mateusz Litwin and Bob McGrew and Arthur Petron and Alex Paino and Matthias Plappert and Glenn Powell and Raphael Ribas and Jonas Schneider and Nikolas Tezak and Jerry Tworek and Peter Welinder and Lilian Weng and Qiming Yuan and Wojciech Zaremba and Lei Zhang},
  title = {Solving Rubik's Cube with a Robot Hand},
  journal = {ArXiv},
  year = {2019},
  url = {https://arxiv.org/abs/1910.07113}
}
@Article{EmergentToolUse,
  language = {english},
  author = {Bowen Baker and Ingmar Kanitscheider and Todor Markov and Yi Wu and Glenn Powell and Bob McGrew and Igor Mordatch},
  title = {Emergent Tool Use From Multi-Agent Autocurricula},
  journal = {ArXiv},
  year = {2019},
  url = {https://arxiv.org/abs/1909.07528},
}
@Misc{JustinFrancisQLearningDQN,
  language = {english},
  author = {Justin Francis},
  title = {Introduction to reinforcement learning and OpenAI Gym. A demonstration of basic reinforcement learning problems},
  url = {https://www.oreilly.com/radar/introduction-to-reinforcement-learning-and-openai-gym},
  year = {2017}
}
@Article{SIG-039,
  url = {http://dx.doi.org/10.1561/2000000039},
  year = {2014},
  volume = {7},
  journal = {Foundations and Trends® in Signal Processing},
  title = {Deep Learning: Methods and Applications},
  doi = {10.1561/2000000039},
  issn = {1932-8346},
  number = {3–4},
  pages = {197-387},
  author = {Li Deng and Dong Yu}
}
@Misc{AnkitHandsOnDQN,
  language = {english},
  author = {Ankhit Choudhary},
  title = {A Hands-On Introduction to Deep Q-Learning using OpenAI Gym in Python},
  url = {https://www.analyticsvidhya.com/blog/2019/04/introduction-deep-q-learning-python},
  year = {2019}
}
@Article{TargetNetworkExpReplayMnih,
  language = {english},
  author = {Volodymyr Mnih and Koray Kavukcuoglu and David Silver and Andrei A. Rusu and Joel Veness and Marc G. Bellemare and Alex Graves and Martin Riedmiller and Andreas K. Fidjeland and Georg Ostrovski and Stig Petersen and Charles Beattie and Amir Sadik and Ioannis Antonoglou and Helen King and Dharshan Kumaran and Daan Wierstra and Shane Legg and Demis Hassabis},
  title = {Human-level control through deep reinforcement learning},
  year = {2015},
  journal = {Nature},
  volume = {518},
  url = {https://www.nature.com/articles/nature14236},
  doi = {10.1038/nature14236}, 
}
@Misc{GoogleDeepMindBuy,
  language = {english},
  author = {Samuel Gibbs},
  title = {{Google buys UK artificial intelligence startup Deepmind for £400m}},
  url = {https://www.theguardian.com/technology/2014/jan/27/google-acquires-uk-artificial-intelligence-startup-deepmind},
  year = {2014},
  month = {Mon 27 January},
  howpublished = {The Guardian}
}
@Article{GoogleDeepMindDDQN,
  author    = {Hado van Hasselt and Arthur Guez and David Silver},
  title     = {Deep Reinforcement Learning with Double Q-learning},
  journal   = {CoRR},
  volume    = {abs/1509.06461},
  year      = {2015},
  url       = {http://arxiv.org/abs/1509.06461},
  archivePrefix = {arXiv},
  eprint    = {1509.06461},
}
@Incollection{NIPS2010_3964,
  language = {english},
  title = {Double Q-learning},
  author = {Hado V. Hasselt},
  booktitle = {Advances in Neural Information Processing Systems 23},
  editor = {J. D. Lafferty and C. K. I. Williams and J. Shawe-Taylor and R. S. Zemel and A. Culotta},
  pages = {2613--2621},
  year = {2010},
  publisher = {Curran Associates, Inc.},
  url = {http://papers.nips.cc/paper/3964-double-q-learning.pdf}
}
@Article{DBLP:journals/corr/WangFL15,
  language = {english},
  author    = {Ziyu Wang and Nando de Freitas and Marc Lanctot},
  title     = {Dueling Network Architectures for Deep Reinforcement Learning},
  journal   = {CoRR},
  volume    = {abs/1511.06581},
  year      = {2015},
  url       = {http://arxiv.org/abs/1511.06581},
  archivePrefix = {arXiv},
  eprint    = {1511.06581},
}
@Misc{ChrisYoonDuelingQ,
  language = {english},
  author = {Chris Yoon},
  title = {Dueling deep Q networks},
  year = {2019},
  url = {https://towardsdatascience.com/dueling-deep-q-networks-81ffab672751}
}
@Misc{PGAlgorithmsLilianWeng,
  language = {english},
  author = {Lilian Weng},
  title = {Policy gradient algorithms},
  year = {2018},
  url = {https://lilianweng.github.io/lil-log/2018/04/08/policy-gradient-algorithms.html}
}
@Article{PGSutton,
  language = {english},
  author = {Richard S Sutton and David McAllester and Satinder Singh and Yishay Mansour},
  title = {Policy gradient methods for reinforcement learning with function approximation},
  journal = {Advances in Neural Information Processing Systems},
  volume = {12},
  pages = {1057-1063},
  editor = {MIT Press},
  year = {2000},
}
@Article{CauchyGradient,
  language = {english},
  author = {Claude Lemaréchal},
  title = {Cauchy and the gradient method},
  journal = {Documenta Mathematica},
  volume = {Extra Volume: Optimization Stories},
  pages = {251--254},
  year = {2012}
}
@Misc{SimoniniThomasPG,
  language = {english},
  author = {Simonini Thomas},
  title = {An introduction to Policy Gradients with Cartpole and Doom},
  year = {2018},
  url = {https://www.freecodecamp.org/news/an-introduction-to-policy-gradients-with-cartpole-and-doom-495b5ef2207f}
}
@Misc{PPOWebOpenAI,
  language = {english},
  author = {John Schulman and Oleg Klimov and Filip Wolski and Prafulla Dhariwal and Alec Radford},
  title = {Proximal policy optimization},
  year = {2017},
  url = {https://openai.com/blog/openai-baselines-ppo/\#ppo}
}
@Article{Schulman2017proximal,
  language = {english},
  title = {Proximal Policy Optimization Algorithms},
  author = {John Schulman and Filip Wolski and Prafulla Dhariwal and Alec Radford and Oleg Klimov},
  year = {2017},
  url = {https://arxiv.org/abs/1707.06347}
}
@Misc{GodotTilemaps,
  language = {english},
  title = {Using tilemaps},
  author = {Juan Linietsky and Ariel Manzur},
  year = {2020},
  url = {https://docs.godotengine.org/en/stable/tutorials/2d/using_tilemaps.html}
}
@Misc{LinuxPipes,
  language = {english},
  title = {pipe - overview of pipes and FIFOS},
  author = {Linux Programmer's Manual},
  year = {2017},
  url = {https://man7.org/linux/man-pages/man7/pipe.7.html}
}
@Techreport{rfc7322,
  author = {Heather Flanagan and Sandy Ginoza},
  title = {RFC Style Guide},
  howpublished = {Internet Requests for Comments},
  type = {RFC},
  number = 7322,
  year = {2014},
  month = {9},
  issn = {2070-1721},
  publisher = {RFC Editor},
  institution = {RFC Editor},
  url = {https://www.rfc-editor.org/rfc/rfc4180.txt}
}
@Techreport{rfc7749,
  author = {Julian F. Reschke},
  title = {The xml2rfc version 2 vocabulary},
  howpublished = {Internet Requests for Comments},
  type = {RFC},
  number = 7749,
  year = {2016},
  month = {2},
  issn = {2070-1721},
  publisher = {RFC Editor},
  institution = {RFC Editor},
  url = {http://xml2rfc.tools.ietf.org/rfc7749.html}
}
@Misc{WhatIsAgile,
  language = {english},
  title = {What is Agile Software Development?},
  date = {2013-06-08},
  author = {Agile Alliance},
  url = {http://www.agilealliance.org/the-alliance/what-is-agile}
}
@Misc{WaterfallModel,
  language = {english},
  title = {Waterfall Software Development Model},
  author = {OxAgile},
  date = {2014-02-05},
  url = {https://www.oxagile.com/article/the-waterfall-model}
}
@Misc{RapidAppDev,
  language = {english},
  title = {Rapid Application Development},
  author = {James Martin},
  year = {1991},
  publisher = {Macmillan Pub Co.},
  url = {https://archive.org/details/rapidapplication00mart},
  isbn = {0-02-376775-8}
}
@Misc{OpenAIGym,
  author = {Greg Brockman and Vicki Cheung and Ludwig Pettersson and Jonas Schneider and John Schulman and Jie Tang and Wojciech Zaremba},
  title = {OpenAI Gym},
  year = {2016},
  eprint = {arXiv:1606.01540},
}
@Misc{Pytorchvstf,
  language = {english},
  author = {Kirill Dubovikov},
  date = {2017-06-20},
  title = {PyTorch vs TensorFlow - spotting the difference},
  url = {https://towardsdatascience.com/pytorch-vs-tensorflow-spotting-the-difference-25c75777377b}
}
@Article{bellemare13arcade,
  author = {{Bellemare}, M.~G. and {Naddaf}, Y. and {Veness}, J. and {Bowling}, M.},
  title = {The Arcade Learning Environment: An Evaluation Platform for General Agents},
  journal = {Journal of Artificial Intelligence Research},
  year = "2013",
  month = "jun",
  volume = "47",
  pages = "253--279",
}
@Misc{badia2020agent57,
  title={Agent57: Outperforming the Atari Human Benchmark},
  author={Adrià Puigdomènech Badia and Bilal Piot and Steven Kapturowski and Pablo Sprechmann and Alex Vitvitskyi and Daniel Guo and Charles Blundell},
  year={2020},
  eprint={2003.13350},
  archivePrefix={arXiv},
  primaryClass={cs.LG}
}
@article{liaw2018tune,
    title={Tune: A Research Platform for Distributed Model Selection and Training},
    author={Liaw, Richard and Liang, Eric and Nishihara, Robert
            and Moritz, Philipp and Gonzalez, Joseph E and Stoica, Ion},
    journal={arXiv preprint arXiv:1807.05118},
    year={2018}
}
@inproceedings{liang2018rllib,
    Author = {Eric Liang and
              Richard Liaw and
              Robert Nishihara and
              Philipp Moritz and
              Roy Fox and
              Ken Goldberg and
              Joseph E. Gonzalez and
              Michael I. Jordan and
              Ion Stoica},
    Title = {{RLlib}: Abstractions for Distributed Reinforcement Learning},
    Booktitle = {International Conference on Machine Learning ({ICML})},
    Year = {2018}
}
@misc{haarnoja2018soft,
    title={Soft Actor-Critic: Off-Policy Maximum Entropy Deep Reinforcement Learning with a Stochastic Actor},
    author={Tuomas Haarnoja and Aurick Zhou and Pieter Abbeel and Sergey Levine},
    year={2018},
    eprint={1801.01290},
    archivePrefix={arXiv},
    primaryClass={cs.LG},
    url={https://arxiv.org/abs/1801.01290}
}
@misc{lillicrap2015continuous,
    title={Continuous control with deep reinforcement learning},
    author={Timothy P. Lillicrap and Jonathan J. Hunt and Alexander Pritzel and Nicolas Heess and Tom Erez and Yuval Tassa and David Silver and Daan Wierstra},
    year={2015},
    eprint={1509.02971},
    archivePrefix={arXiv},
    primaryClass={cs.LG},
    url={https://arxiv.org/abs/1509.02971}
}
@misc{mania2018simple,
    title={Simple random search provides a competitive approach to reinforcement learning},
    author={Horia Mania and Aurelia Guy and Benjamin Recht},
    year={2018},
    eprint={1803.07055},
    archivePrefix={arXiv},
    primaryClass={cs.LG},
    url={https://arxiv.org/abs/1803.07055}
}
@article{ispolicygradientagradient,
	title={Is the policy gradient a gradient?},
	author={Chris Nota and Philip S. Thomas},
	institution={University of Massachusetts Amherst},
	journal = {ArXiv},
	year={2020},
	url={https://arxiv.org/pdf/1906.07073.pdf}
}
% After beta of app is implemented and PPO RLLib tested, maybe implement our custom REINFORCE following this https://www.freecodecamp.org/news/an-introduction-to-policy-gradients-with-cartpole-and-doom-495b5ef2207f/
